List webhooks
List webhooks visible to an account
Request schema
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Http + 1.1
GET /api/v2/webhooks HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
Successfully retrieved the list of webhooks.
401
Invalid credentials for the requested resource.
403
You are not authorized to use this feature or the feature is not available for your organization.
500
An error happened while processing the request.
200
status
string
The outcome of the fetch request
enum:
"success""error"
data
array
group_id
stringrequired
The unique identifier of the group that this webhook belongs to
example:
wandering_aimlessly
name
stringrequired
The name of the webhook
example:
My Webhook
description
string
An optional description of the webhook
example:
Webhook for failed syncs
events
array
The events that the webhook should alert on. If empty or omitted, all events are alerted on.
example:
[
"sync.alert.raised",
"sync.alert.resolved"
]
type:
string
endpoint
stringrequired
The endpoint the webhook will ping when an event occurs in Activations. Must be a secure (HTTPS) site.
example:
https://mycompany.com/fivetran-activation-sync-alerts
401
status
integer
HTTP status code.
enum:
"401"
403
status
integer
HTTP status code.
enum:
"403"
message
string
Error message.
500
status
integer
HTTP status code.
enum:
"500"
message
string
Description of the outcome.
example:
An unknown error occurred
{ "status": "success", "data": [ { "group_id": "wandering_aimlessly", "name": "My Webhook", "description": "Webhook for failed syncs", "events": [ "sync.alert.raised", "sync.alert.resolved" ], "endpoint": "https://mycompany.com/fivetran-activation-sync-alerts" } ] }